Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class ShaderCGFX

    java.lang.Object
      codeanticode.glgraphics.Shader
          codeanticode.glgraphics.ShaderCGFX

    public class ShaderCGFX

extends Shader

Field Summary

Fields inherited from class codeanticode.glgraphics.Shader
`CG, CGFX, GLSL, UNKNOWN`

Constructor Summary
`ShaderCGFX(GL gl, java.lang.String name)`

Method Summary
`void` | `disable()`
`void` | `enable()`
`CGeffect` | `getEffect()`
`CGpass` | `getFirstTechniquePass()`
`CGpass` | `getTechniqueFirstPass(java.lang.String name)`
`void` | `load(java.lang.String file)`
`void` | `nextPass()`
`void` | `resetPass()`
`void` | `setFirstTechnique()`
`void` | `setMatrixParameterSemantic(java.lang.String param, float[] v)`
`void` | `setMatrixParameterSemantic(java.lang.String param, int matrix, int matrixType)`
`void` | `setParameter1d(java.lang.String param, double x)`
`void` | `setParameter1f(java.lang.String param, float x)`
`void` | `setParameter1i(java.lang.String param, int x)`
`void` | `setParameter2f(java.lang.String param, float x, float y)`
`void` | `setParameter3f(java.lang.String param, float x, float y, float z)`
`void` | `setParameter3fv(java.lang.String param, float[] v)`
`void` | `setParameter4f(java.lang.String param, float x, float y, float z, float w)`
`void` | `setParameter4fv(java.lang.String param, float[] v)`
`void` | `setParameter4x4d(java.lang.String param, double[] v)`
`void` | `setParameter4x4f(java.lang.String param, float[] v)`
`void` | `setParameter4x4f(java.lang.String param, int matrix, int matrixType)`
`void` | `setParameter4x4fBySemantic(java.lang.String semanticName, int matrix, int matrixType)`
`void` | `setParameterSemantic(java.lang.String param, float x)`
`void` | `setParameterSemantic(java.lang.String param, float x, float y)`
`void` | `setParameterSemantic(java.lang.String param, float x, float y, float z)`
`void` | `setParameterSemantic(java.lang.String param, float x, float y, float z, float w)`
`void` | `setPass()`
`void` | `setTechnique(java.lang.String name)`
`void` | `setTextureParameter(java.lang.String param, int val)`

Methods inherited from class codeanticode.glgraphics.Shader
`setId, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShaderCGFX

    public ShaderCGFX(GL gl,
                      java.lang.String name)

Method Detail

### getEffect

    public CGeffect getEffect()

### load

    public void load(java.lang.String file)

### enable

    public void enable()

  Specified by:
    `enable` in class `Shader`

### disable

    public void disable()

  Specified by:
    `disable` in class `Shader`

### setFirstTechnique

    public void setFirstTechnique()

### setTechnique

    public void setTechnique(java.lang.String name)

### setPass

    public void setPass()

### nextPass

    public void nextPass()

### resetPass

    public void resetPass()

### getFirstTechniquePass

    public CGpass getFirstTechniquePass()

### getTechniqueFirstPass

    public CGpass getTechniqueFirstPass(java.lang.String name)

### setTextureParameter

    public void setTextureParameter(java.lang.String param,
                                    int val)

  Specified by:
    `setTextureParameter` in class `Shader`

### setParameter1d

    public void setParameter1d(java.lang.String param,
                               double x)

  Specified by:
    `setParameter1d` in class `Shader`

### setParameter1f

    public void setParameter1f(java.lang.String param,
                               float x)

  Specified by:
    `setParameter1f` in class `Shader`

### setParameter1i

    public void setParameter1i(java.lang.String param,
                               int x)

  Specified by:
    `setParameter1i` in class `Shader`

### setParameter2f

    public void setParameter2f(java.lang.String param,
                               float x,
                               float y)

  Specified by:
    `setParameter2f` in class `Shader`

### setParameter3f

    public void setParameter3f(java.lang.String param,
                               float x,
                               float y,
                               float z)

  Specified by:
    `setParameter3f` in class `Shader`

### setParameter3fv

    public void setParameter3fv(java.lang.String param,
                                float[] v)

  Specified by:
    `setParameter3fv` in class `Shader`

### setParameter4f

    public void setParameter4f(java.lang.String param,
                               float x,
                               float y,
                               float z,
                               float w)

  Specified by:
    `setParameter4f` in class `Shader`

### setParameter4fv

    public void setParameter4fv(java.lang.String param,
                                float[] v)

  Specified by:
    `setParameter4fv` in class `Shader`

### setMatrixParameterSemantic

    public void setMatrixParameterSemantic(java.lang.String param,
                                           int matrix,
                                           int matrixType)

  Specified by:
    `setMatrixParameterSemantic` in class `Shader`

### setMatrixParameterSemantic

    public void setMatrixParameterSemantic(java.lang.String param,
                                           float[] v)

  Specified by:
    `setMatrixParameterSemantic` in class `Shader`

### setParameterSemantic

    public void setParameterSemantic(java.lang.String param,
                                     float x)

  Specified by:
    `setParameterSemantic` in class `Shader`

### setParameterSemantic

    public void setParameterSemantic(java.lang.String param,
                                     float x,
                                     float y)

  Specified by:
    `setParameterSemantic` in class `Shader`

### setParameterSemantic

    public void setParameterSemantic(java.lang.String param,
                                     float x,
                                     float y,
                                     float z)

  Specified by:
    `setParameterSemantic` in class `Shader`

### setParameterSemantic

    public void setParameterSemantic(java.lang.String param,
                                     float x,
                                     float y,
                                     float z,
                                     float w)

  Specified by:
    `setParameterSemantic` in class `Shader`

### setParameter4x4d

    public void setParameter4x4d(java.lang.String param,
                                 double[] v)

  Specified by:
    `setParameter4x4d` in class `Shader`

### setParameter4x4f

    public void setParameter4x4f(java.lang.String param,
                                 float[] v)

  Specified by:
    `setParameter4x4f` in class `Shader`

### setParameter4x4f

    public void setParameter4x4f(java.lang.String param,
                                 int matrix,
                                 int matrixType)

  Specified by:
    `setParameter4x4f` in class `Shader`

### setParameter4x4fBySemantic

    public void setParameter4x4fBySemantic(java.lang.String semanticName,
                                           int matrix,
                                           int matrixType)

  Specified by:
    `setParameter4x4fBySemantic` in class `Shader`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008